PHP Manual
Prev |  | Next

# method_exists

(PHP 4, PHP 5)

method_exists -- Checks if the class method exists

## Description

bool method_exists ( object object, string method_name )

Checks if the class method exists in the given `object`.

## Parameters

`object`

  An object instance

`method_name`

  The method name

## Return Values

Returns `TRUE` if the method given by `method_name` has been defined for the given `object`, `FALSE` otherwise.

## Examples

Example 1. method_exists() example

`<?php $directory = new Directory('.'); var_dump(method_exists($directory,'read')); ?>`

The above example will output:

    bool(true)

## See Also

function_exists()
is_callable()

Prev | Home | Next
is_subclass_of | Up | property_exists